com.taosdata.jdbc.ws.entity

## Class QueryReq

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Payload
  - - com.taosdata.jdbc.ws.entity.QueryReq

    public class QueryReq
    extends Payload

### Constructor Summary

Constructors
Constructor and Description
`QueryReq()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getSql()`
`void` `setSql(String sql)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Payload

`getReqId, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryReq

    public QueryReq()

### Method Detail

#### getSql

    public String getSql()

#### setSql

    public void setSql(String sql)